import { ExtractPropTypes } from 'vue';
import { InputSizeDefinitionType } from '../form/src/shared/types';
export declare const inputProps: () => {
    modelValue: import("vue-types").VueTypeDef<string | number | null | undefined>;
    defaultValue: import("vue-types").VueTypeDef<string | number | null | undefined>;
    showCharCount: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    onlyAlpha: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    simple: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    onlyNumbers: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    textarea: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    minRows: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    maxRows: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    containerClass: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    validationMessageClass: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    isGray: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    min: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    max: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    type: import("vue-types").VueTypeDef<"number" | "text" | "password"> & {
        default: "number" | "text" | "password";
    };
    autofill: import("vue-types").VueTypeDef<string | boolean | null | undefined> & {
        default: string | boolean | null | undefined;
    };
    label: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    infoText: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    loading: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    allowClear: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    state: import("vue-types").VueTypeDef<"success" | "warning" | "none" | "error"> & {
        default: "success" | "warning" | "none" | "error";
    };
    path: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    placeholder: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    asyncRules: import("vue-types").VueTypeDef<string[]> & {
        default: () => string[];
    };
    requiredMark: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    successStatus: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    validations: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        default: () => {
            [key: string]: any;
        };
    };
    feedbacks: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        default: () => {
            [key: string]: any;
        };
    };
    size: import("vue-types").VueTypeDef<"small" | "large" | "medium" | "xlarge">;
};
export type InputProps = Partial<ExtractPropTypes<ReturnType<typeof inputProps>>>;
export type GlobalInputConfig = {
    defaultSize?: InputSizeDefinitionType;
};
export declare function useDefaultThemeInputProps(props: InputProps): {
    readonly size: "small" | "large" | "medium" | "xlarge";
};
