import { DefaultColors } from 'tailwindcss/types/generated/colors';
import { GlobalButtonConfig } from '../../buttons';
import { GlobalInputConfig } from '../../input';
import { GlobalDatePickerConfig } from '../../datePicker';
import { GlobalSelectConfig } from '../../select';
export type TailwindColor = keyof Omit<DefaultColors, 'transparent' | 'inherit' | 'current' | 'transparent' | 'black' | 'white'>;
export type TwTheme = {
    name: string;
    color?: TailwindColor;
    palette?: Record<50 | 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800 | 900, any>;
};
export type DefaultConfig = {
    button?: GlobalButtonConfig;
    input?: GlobalInputConfig;
    select?: GlobalSelectConfig;
    datePicker?: GlobalDatePickerConfig;
};
